## org.apache.aries.subsystem.core.archive
Class SubsystemExportServiceCapability

    java.lang.Object
      org.apache.aries.subsystem.core.internal.AbstractCapability
          org.apache.aries.subsystem.core.archive.SubsystemExportServiceCapability

All Implemented Interfaces:
  org.osgi.resource.Capability

    public class SubsystemExportServiceCapability

extends AbstractCapability

Field Summary
`static String` `DIRECTIVE_FILTER`
`static String` `NAMESPACE`

Constructor Summary
`SubsystemExportServiceCapability(SubsystemExportServiceHeader.Clause clause, org.osgi.resource.Resource resource)`

Method Summary
`Map<String,Object>` `getAttributes()`
`Map<String,String>` `getDirectives()`
`String` `getNamespace()`
`org.osgi.resource.Resource` `getResource()`

Methods inherited from class org.apache.aries.subsystem.core.internal.AbstractCapability
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DIRECTIVE_FILTER

    public static final String DIRECTIVE_FILTER

See Also:
  Constant Field Values

### NAMESPACE

    public static final String NAMESPACE

See Also:
  Constant Field Values

Constructor Detail

### SubsystemExportServiceCapability

    public SubsystemExportServiceCapability(SubsystemExportServiceHeader.Clause clause,
                                            org.osgi.resource.Resource resource)

Method Detail

### getAttributes

    public Map<String,Object> getAttributes()

### getDirectives

    public Map<String,String> getDirectives()

### getNamespace

    public String getNamespace()

### getResource

    public org.osgi.resource.Resource getResource()

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.